Cancel ACH payment
curl --request POST \
--url https://api.natural.com/ach/{achId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"reason": "Duplicate payout"
}
}
}
'import requests
url = "https://api.natural.com/ach/{achId}/cancel"
payload = { "data": { "attributes": { "reason": "Duplicate payout" } } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {attributes: {reason: 'Duplicate payout'}}})
};
fetch('https://api.natural.com/ach/{achId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/ach/{achId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'reason' => 'Duplicate payout'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/ach/{achId}/cancel"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"Duplicate payout\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/ach/{achId}/cancel")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"Duplicate payout\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/ach/{achId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"reason\": \"Duplicate payout\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "ach",
"id": "ach_019cd1798d838f575681880edfaa4c6f",
"attributes": {
"direction": "credit",
"amount": 25000,
"currency": "USD",
"fee": null,
"status": "CANCELED",
"companyEntryDescription": "PAYOUT",
"internalDescription": "July contractor payout, ledger 1042",
"addenda": "Invoice 1042, July services",
"secCode": "PPD",
"submittedDescriptor": {
"companyName": "Acme Payments",
"companyEntryDescription": "PAYOUT"
},
"traceNumber": null,
"failure": null,
"return": null,
"submittedAt": null,
"settledAt": null,
"expectedAvailableAt": null,
"terminalAt": "2026-08-04T16:00:00.000Z",
"createdAt": "2026-08-04T15:30:00.000Z",
"updatedAt": "2026-08-04T16:00:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
},
"externalPartyAccount": {
"data": {
"type": "externalPartyAccount",
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a"
}
}
}
}
}
Direct: ACH
Cancel ACH payment
Cancel one of your party’s ACH payments before it is submitted. Only a payment in CREATED or AWAITING_APPROVAL can be canceled; any other payment returns 409 with code ach.notCancelable. Returns the ACH object.
POST
/
ach
/
{achId}
/
cancel
Cancel ACH payment
curl --request POST \
--url https://api.natural.com/ach/{achId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"reason": "Duplicate payout"
}
}
}
'import requests
url = "https://api.natural.com/ach/{achId}/cancel"
payload = { "data": { "attributes": { "reason": "Duplicate payout" } } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {attributes: {reason: 'Duplicate payout'}}})
};
fetch('https://api.natural.com/ach/{achId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/ach/{achId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'reason' => 'Duplicate payout'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/ach/{achId}/cancel"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"Duplicate payout\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/ach/{achId}/cancel")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"reason\": \"Duplicate payout\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/ach/{achId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"reason\": \"Duplicate payout\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "ach",
"id": "ach_019cd1798d838f575681880edfaa4c6f",
"attributes": {
"direction": "credit",
"amount": 25000,
"currency": "USD",
"fee": null,
"status": "CANCELED",
"companyEntryDescription": "PAYOUT",
"internalDescription": "July contractor payout, ledger 1042",
"addenda": "Invoice 1042, July services",
"secCode": "PPD",
"submittedDescriptor": {
"companyName": "Acme Payments",
"companyEntryDescription": "PAYOUT"
},
"traceNumber": null,
"failure": null,
"return": null,
"submittedAt": null,
"settledAt": null,
"expectedAvailableAt": null,
"terminalAt": "2026-08-04T16:00:00.000Z",
"createdAt": "2026-08-04T15:30:00.000Z",
"updatedAt": "2026-08-04T16:00:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
},
"externalPartyAccount": {
"data": {
"type": "externalPartyAccount",
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a"
}
}
}
}
}
Authorizations
Headers
Was this page helpful?